Bug 1468211 - RFE: add default for discard_these_nonmembers
RFE: add default for discard_these_nonmembers
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mailman (Show other bugs)
6.9
All Linux
low Severity low
: rc
: ---
Assigned To: Pavel Zhukov
qe-baseos-daemons
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 06:57 EDT by Moritz Baumann
Modified: 2017-07-10 03:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-10 03:54:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1702664 None None None 2017-07-10 03:34 EDT

  None (edit)
Description Moritz Baumann 2017-07-06 06:57:30 EDT
Description of problem:

We would like to set a default for "discard_these_nonmembers" for newly created mailing lists (to black list our spamreporting tool per default).

Version-Release number of selected component (if applicable):

mailman-2.1.12-26.el6.x86_64

How to enhance:

dvm-infk-dco03[0]:/usr/lib/mailman/Mailman# diff -Nu /usr/lib/mailman/Mailman/MailList.py.bak /usr/lib/mailman/Mailman/MailList.py
--- /usr/lib/mailman/Mailman/MailList.py.bak	2017-07-06 12:31:14.381658045 +0200
+++ /usr/lib/mailman/Mailman/MailList.py	2017-07-06 12:32:31.830175041 +0200
@@ -394,7 +394,7 @@
         self.accept_these_nonmembers = []
         self.hold_these_nonmembers = []
         self.reject_these_nonmembers = []
-        self.discard_these_nonmembers = []
+        self.discard_these_nonmembers = mm_cfg.DEFAULT_DISCARD_THESE_NONMEMBERS
         self.forward_auto_discards = mm_cfg.DEFAULT_FORWARD_AUTO_DISCARDS
         self.generic_nonmember_action = mm_cfg.DEFAULT_GENERIC_NONMEMBER_ACTION
         self.nonmember_rejection_notice = ''
idvm-infk-dco03[1]:/usr/lib/mailman/Mailman# diff -Nu /usr/lib/mailman/Mailman/versions.py.bak /usr/lib/mailman/Mailman/versions.py
--- /usr/lib/mailman/Mailman/versions.py.bak	2017-07-06 12:32:42.326246813 +0200
+++ /usr/lib/mailman/Mailman/versions.py	2017-07-06 12:33:21.181505888 +0200
@@ -111,7 +111,7 @@
     if not hasattr(l, 'reject_these_nonmembers'):
         l.reject_these_nonmembers = []
     if not hasattr(l, 'discard_these_nonmembers'):
-        l.discard_these_nonmembers = []
+        l.discard_these_nonmembers = mm_cfg.DEFAULT_DISCARD_THESE_NONMEMBERS
     if not hasattr(l, 'forward_auto_discards'):
         l.forward_auto_discards = mm_cfg.DEFAULT_FORWARD_AUTO_DISCARDS
     if not hasattr(l, 'generic_nonmember_action'):
idvm-infk-dco03[0]:/usr/lib/mailman/Mailman# diff -Nu /usr/lib/mailman/Mailman/Defaults.py.bak /usr/lib/mailman/Mailman/Defaults.py
--- /usr/lib/mailman/Mailman/Defaults.py.bak	2017-07-06 12:55:13.373199953 +0200
+++ /usr/lib/mailman/Mailman/Defaults.py	2017-07-06 12:56:57.917881124 +0200
@@ -915,6 +915,9 @@
 # moderators?
 DEFAULT_FORWARD_AUTO_DISCARDS = Yes
 
+# List of nonmembers to be discarded automatically. Can be changed via web/config_list later on
+DEFAULT_DISCARD_THESE_NONMEMBERS = []
+
 # Shall dmarc_moderation_action be applied to messages From: domains with
 # a DMARC policy of quarantine as well as reject?  This sets the default for
 # the list setting that controls it.
Comment 2 Moritz Baumann 2017-07-06 07:04:45 EDT
I have requested at https://bugs.launchpad.net/mailman/+bug/1702664 (which I hope is upstream)
Comment 3 Pavel Zhukov 2017-07-07 04:07:43 EDT
Thank you for taking the time to report this issue to us. We appreciate the feedback and use reports such as this one to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and we are not able to guarantee the timeliness or suitability of a resolution.

If this issue is critical or in any way time sensitive, please raise a ticket through the regular Red Hat support channels to ensure it receives the proper attention and prioritization to assure a timely resolution. 

For information on how to contact the Red Hat production support team, please visit:
    https://www.redhat.com/support/process/production/#howto
Comment 4 Pavel Zhukov 2017-07-10 03:54:49 EDT
Red Hat Enterprise Linux 6 transitioned to the Production 3 Phase on May 10, 2017.  During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:
http://redhat.com/rhel/lifecycle

This issue does not appear to meet the inclusion criteria for the Production Phase 3 and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification.  Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com

Note You need to log in before you can comment on or make changes to this bug.